<?php

namespace App\Modules\Package\Application\NewInclusions;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class NewInclusionsPackageQuery implements Query
{
    public function __construct(
        private string $idPackage,
        public readonly ?string $dateStart
    ) {
    }

    public function idPackage(): int
    {
        return $this->idPackage;
    }
    public function dateStart(): string
    {
        return $this->dateStart;
    }
}
